Subject: RE: [Sipping] redirect-reason-01

From: "Francois Audet" <[email-masked]>
Date: Wed, 9 Mar 2005 15:27:52 -0500

Fair enough. 
 
First, I believe that we should make it clear that our goal is NOT to map
every single PSTN code to SIP. I think we should just look at the very basic
codepoints that everybody does, and that are necessary for a decent feature
operation. 
 
Personnally, I see the following:
 
In the PSTN to SIP direction:

*	Call Forward Busy -> 486 Busy here
*	Call Forward No Answer -> 480 Temporarily Unavailable
*	Call Forward Universal -> 302 Moved temporarily

Also, in the reverse direction, it is equally important:

*	486 Busy here, 600 Busy everywhere -> Call forward busy
*	408 Request Timeout, 480 Temporarily Unavailable, 487 Request
Terminated-> Call Forward No Answer
	
*	302 Moved Temporarily -> Call Forward Universal

To me, this is sufficient. Of course implementors can use their own mapping
if they want, but beyond what is here, I wouldn't expect even the PSTN
implemenations to be consistent.
 
Going beyond this is I believe not useful.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf
Of Cullen Jennings
Sent: Tuesday, March 08, 2005 08:31
To: Audet, Francois [SC100:9T51:EXCH]; John Elwell; sipping
Subject: Re: [Sipping] redirect-reason-01

Fair enough - I agree these mapping are bad. But I have an idea. Why don't
you describe what the service or feature is that these PSTN codes correspond
to, we can look at how this might commonly be done in SIP, and see what
status code might be used and if we need to define any new ones. 

On 3/8/05 10:06 AM, "Francois Audet" <[email-masked]> wrote:

A few comments: 

- Code 300 is supposed to be "Multiple choices". There is no "Normal
redirection" 
  code in SIP. The text on redirect servers in RFC 3261 talks about 301 and
302. 
  This is the problem I've been highlighting for a long time. 

- Code 408 is "Request timeout". It has nothing to do with hunting. It would
be 
  a gross distortion to equate hunting with "Request timeout". 

- Code 487 is "Request terminated". Again, it has nothing to do with a 
  call deflection service. 302 would be more appropriate (and yes, it 
  wouldn't be distinguishable from Call Forward, which in my opinion 
  is OK). 

- Code 606 also seems like a joke to me. 

What I am trying to say is that those mappings don't seem particularly good,

except for Fwd immediate (which should really be Fwd Universal) and Fwd
Busy. 

> -----Original Message----- 
> From: [email-masked] 
> [mailto:[email-masked]] <mailto:[email-masked]]>  On
Behalf Of Cullen Jennings 
> Sent: Friday, March 04, 2005 19:06 
> To: John Elwell; sipping 
> Subject: [Sipping] redirect-reason-01 
> 
> 
> 
> So the reasons in this draft are listed below and I have 
> proposed SIP response codes that could be used for these 
> 
> Normal redirection - 300 
> Fwd Unavail - 410 
> Fwd Busy - 486 
> Fwd Immediate - 302 
> Deflection - 487 
> Hunting - 408 
> Mobile not reachable - 606 :-) 
> 
> The 606 is a joke - I just don't think we would want to 
> differentiate between mobile and non mobile UA in SIP. 
> 
> I have no idea if these are right or wrong but my real point 
> is, we need to consider what information the proxy wants to 
> provide to the UAC and what the UAC needs to know. 
> 
> 
> _______________________________________________ 
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping 
> This list is for NEW development of the application of SIP 
> Use [email-masked] for questions on current 
> sip Use [email-masked] for new developments of core SIP 
> 
> 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP